Package cds.healpix

# Class Tile2HPX

java.lang.Object
cds.healpix.Tile2HPX

public final class Tile2HPX extends Object

Author:
  F.-X. Pineau

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`Tile2HPX.WCSFrame`

## Field Summary

Fields
Modifier and Type
Field
Description
`final FillingCurve2D`
`fc`

## Constructor Summary

Constructors
Constructor
Description
`Tile2HPX(int tileOrder, int inTileNside, Tile2HPX.WCSFrame wcsFrame)`

## Method Summary

Modifier and Type
Method
Description
`void`
`center(long hash, double[] xyResult)`
Returns the coordinates of the center of the cell defined by the given hash in the HEALPix projection plane.
`static void`
`main(String[] args)`
`static final Map<String,String>`
`toFitsHeader(int tileOrder, long tileIpix, int nPixelX, Tile2HPX.WCSFrame frame)`
`final Map<String,String>`
`toFitsHeader(long tileIpix)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### fc

public final FillingCurve2D fc

## Constructor Details

### Tile2HPX

public Tile2HPX(int tileOrder, int inTileNside, Tile2HPX.WCSFrame wcsFrame)

## Method Details

### center

public void center(long hash, double[] xyResult)
Returns the coordinates of the center of the cell defined by the given hash in the HEALPix projection plane.

Parameters:
  `hash` - value defining the cell we want the coordinate of the center
  `xyResult` - object used to store the result

### toFitsHeader

public final Map<String,String> toFitsHeader(long tileIpix) throws Exception

Throws:
  `Exception`

### toFitsHeader

public static final Map<String,String> toFitsHeader(int tileOrder, long tileIpix, int nPixelX, Tile2HPX.WCSFrame frame) throws Exception

Throws:
  `Exception`

### main

public static void main(String[] args) throws Exception

Throws:
  `Exception`